Bug 492708 - Review Request: xml2 - XML/Unix Processing Tools
Summary: Review Request: xml2 - XML/Unix Processing Tools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1168461 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-28 16:38 UTC by Thomas Moschny
Modified: 2014-12-23 08:03 UTC (History)
6 users (show)

Fixed In Version: xml2-0.5-7.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-13 19:35:20 UTC
Type: ---
redhat: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Moschny 2009-03-28 16:38:29 UTC
Spec URL: http://thm.fedorapeople.org/xml2/xml2.spec
SRPM URL: http://thm.fedorapeople.org/xml2/xml2-0.4-1.fc10.src.rpm

Description:
These tools are used to convert XML and HTML to and from a
line-oriented format more amenable to processing by classic Unix
pipeline processing tools, like grep, sed, awk, cut, shell scripts,
and so forth.

Comment 1 Robert Scheck 2009-03-28 17:16:46 UTC
Okay, here we go:

[ DONE ] MUST: rpmlint must be run on every package
         $ rpmlint /var/lib/mock//fedora-rawhide-x86_64/result/xml2-*
         3 packages and 0 specfiles checked; 0 errors, 0 warnings.
         $
[  OK  ] MUST: The package must be named according to the Package Naming 
         Guidelines
[  OK  ] MUST: The spec file name must match the base package %{name} [...]
[  OK  ] MUST: The package must meet the Packaging Guidelines
[  OK  ] MUST: The package must be licensed with a Fedora approved license
         and meet the Licensing Guidelines
[  OK  ] MUST: The License field in the package spec file must match the 
         actual license
[  OK  ] MUST: If (and only if) the source package includes the text of the 
         license(s) in its own file, then that file, containing the text of 
         the license(s) for the package must be included in %doc
[  OK  ] MUST: The spec file must be written in American English.
[  OK  ] MUST: The spec file for the package MUST be legible.
[  OK  ] MUST: The sources used to build the package must match the upstream 
         source, as provided in the spec URL. Reviewers should use md5sum for 
         this task. If no upstream URL can be specified for this package, 
         please see the Source URL Guidelines for how to deal with this.
         -> 8a0ef16fe0b3e1495307318c590c1ec0  xml2-0.4.tar.gz
         -> 8a0ef16fe0b3e1495307318c590c1ec0  xml2-0.4.tar.gz.1
         -> 735e7f6c336bd88dd1ab12bdea84e7cf1df5a36d  xml2-0.4.tar.gz
         -> 735e7f6c336bd88dd1ab12bdea84e7cf1df5a36d  xml2-0.4.tar.gz.1
[  OK  ] MUST: The package MUST successfully compile and build into binary 
         rpms on at least one primary architecture
[  N/A ] MUST: If the package does not successfully compile, build or work on 
         an architecture, then those architectures should be listed in the 
         spec in ExcludeArch. Each architecture listed in ExcludeArch MUST 
         have a bug filed in bugzilla, describing the reason that the package 
         does not compile/build/work on that architecture. The bug number MUST 
         be placed in a comment, next to the corresponding ExcludeArch line
[  OK  ] MUST: All build dependencies must be listed in BuildRequires, except 
         for any that are listed in the exceptions section of the Packaging 
         Guidelines ; inclusion of those as BuildRequires is optional. Apply 
         common sense.
[  N/A ] MUST: The spec file MUST handle locales properly. This is done by 
         using the %find_lang macro. Using %{_datadir}/locale/* is strictly 
         forbidden
[  N/A ] MUST: Every binary RPM package (or subpackage) which stores shared 
         library files (not just symlinks) in any of the dynamic linker's 
         default paths, must call ldconfig in %post and %postun. [10]
[  N/A ] MUST: If the package is designed to be relocatable, the packager must 
         state this fact in the request for review, along with the 
         rationalization for relocation of that specific package. Without 
         this, use of Prefix: /usr is considered a blocker. [11]
[  OK  ] MUST: A package must own all directories that it creates. If it does 
         not create a directory that it uses, then it should require a package 
         which does create that directory.
[  OK  ] MUST: A package must not contain any duplicate files in the %files 
         listing.
[  OK  ] MUST: Permissions on files must be set properly. Executables should 
         be set with executable permissions, for example. Every %files section 
         must include a %defattr(...) line.
[  OK  ] MUST: Each package must have a %clean section, which contains rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[  OK  ] MUST: Each package must consistently use macros.
[  OK  ] MUST: The package must contain code, or permissable content.
[  N/A ] MUST: Large documentation files must go in a -doc subpackage. (The 
         definition of large is left up to the packager's best judgement, but 
         is not restricted to size. Large can refer to either size or 
         quantity).
[  OK  ] MUST: If a package includes something as %doc, it must not affect the 
         runtime of the application. To summarize: If it is in %doc, the 
         program must run properly if it is not present.
[  N/A ] MUST: Header files must be in a -devel package.
[  N/A ] MUST: Static libraries must be in a -static package.
[  N/A ] MUST: Packages containing pkgconfig(.pc) files must 'Requires: 
         pkgconfig' (for directory ownership and usability).
[  N/A ] MUST: If a package contains library files with a suffix (e.g. 
         libfoo.so.1.1), then library files that end in .so (without suffix) 
         must go in a -devel package.
[  N/A ] MUST: In the vast majority of cases, devel packages must require the 
         base package using a fully versioned dependency: Requires: %{name} =
         %{version}-%{release}
[  N/A ] MUST: Packages must NOT contain any .la libtool archives, these must 
         be removed in the spec if they are built.
[  N/A ] MUST: Packages containing GUI applications must include a
         %{name}.desktop file, and that file must be properly installed with 
         desktop-file-install in the %install section. If you feel that your 
         packaged GUI application does not need a .desktop file, you must put 
         a comment in the spec file with your explanation.
[  OK  ] MUST: Packages must not own files or directories already owned by 
         other packages. The rule of thumb here is that the first package to 
         be installed should own the files or directories that other packages 
         may rely upon. This means, for example, that no package in Fedora 
         should ever share ownership with any of the files or directories 
         owned by the filesystem or man package. If you feel that you have a 
         good reason to own a file or directory that another package owns, 
         then please present that at package review time.
[  OK  ] MUST: At the beginning of %install, each package MUST run rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[  OK  ] MUST: All filenames in rpm packages must be valid UTF-8.

-> You want to use macros for name and version in Source0: tag

As this is just minor and can be fixed before CVS import: APPROVED.

Comment 2 Thomas Moschny 2009-03-28 17:32:52 UTC
Thanks for the review!


New Package CVS Request
=======================
Package Name: xml2
Short Description: XML/Unix Processing Tools
Owners: thm
Branches: F-9 F-10
InitialCC: none
Cvsextras Commits: yes

Comment 3 Kevin Fenzi 2009-03-30 21:40:06 UTC
cvs done.

Comment 4 Fedora Update System 2009-03-30 22:38:16 UTC
xml2-0.4-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xml2-0.4-2.fc10

Comment 5 Fedora Update System 2009-03-30 22:38:21 UTC
xml2-0.4-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xml2-0.4-2.fc9

Comment 6 Fedora Update System 2009-04-02 17:11:26 UTC
xml2-0.4-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update xml2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3180

Comment 7 Fedora Update System 2009-04-02 17:20:21 UTC
xml2-0.4-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xml2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3269

Comment 8 Fedora Update System 2009-04-13 19:35:15 UTC
xml2-0.4-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-04-13 19:39:06 UTC
xml2-0.4-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Till Maas 2014-11-27 13:55:37 UTC
*** Bug 1168461 has been marked as a duplicate of this bug. ***

Comment 11 Michel Alexandre Salim 2014-11-28 03:22:53 UTC
Hi Thomas,

Mind branching this for el6 and epel7? I'd be happy to co-maintain if you like.

(we're using this at work to process BIND statistics)

Thanks!

Comment 12 Thomas Moschny 2014-12-02 18:43:40 UTC
Sure!

Package Change Request
======================
Package Name: xml2
New Branches: el6 epel7
Owners: thm

Comment 13 Gwyn Ciesla 2014-12-02 20:48:17 UTC
Git done (by process-git-requests).

Comment 14 Michel Alexandre Salim 2014-12-03 04:11:01 UTC
Thanks, ACLs asked

Comment 15 Fedora Update System 2014-12-05 01:05:29 UTC
xml2-0.5-7.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/xml2-0.5-7.el7

Comment 16 Fedora Update System 2014-12-05 01:05:35 UTC
xml2-0.5-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/xml2-0.5-7.el6

Comment 17 Fedora Update System 2014-12-23 08:03:00 UTC
xml2-0.5-7.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 18 Fedora Update System 2014-12-23 08:03:41 UTC
xml2-0.5-7.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.